import { world, ItemStack } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";
import { getScore, removeScore } from "../../../lifesteal";
world.afterEvents.itemUse.subscribe(({ itemStack: item, source }) => {
    let player = source;
    if (getScore(player, `ls-death`) <= 1)
        return;
    if (item.typeId == `lifesteal:withdraw_heart`) {
        let withdrawGui = new ModalFormData()
            .title(`Withdraw Heart`)
            .slider(`How many hearts do you want to withdraw?`, 1, getScore(player, `ls-death`) - 1, 1);
        withdrawGui.show(player).then(({ canceled, cancelationReason, formValues }) => {
            if (canceled)
                return;
            let inventory = player.getComponent(`inventory`)[`container`];
            let inventorySize = inventory.size;
            for (let i = 0; i < inventorySize; i++) {
                let item = inventory.getItem(i);
                if (!item || item.typeId !== `lifesteal:heart`)
                    continue;
                inventory.setItem(i, new ItemStack(item.typeId, item.amount));
            }
            removeScore(player, `ls-death`, +formValues[0]);
            player.runCommand(`give @s lifesteal:heart ${formValues[0]}`);
        });
    }
});
