import { world, Player, system } from '@minecraft/server';
import { Command } from '../../handler';
import { sendPlayerMessage } from '../../../config';
import { getPlayer, getScore, setScore } from '../../../lifesteal';

new Command({
    name: 'jumpscare',
    ghostsOnly: true,
    code({ player, args }) {
        if (player.hasTag(`ls-ghost_jumpscare_cd`)) return sendPlayerMessage(player, `§8[§cX§8] §cYou are on cooldown! Wait ${Math.round(getScore(player, `ls-ghost-cd`) / 20)} more seconds!`);

        let target = getPlayer(args.join(` `));

        if (!target) return sendPlayerMessage(player, `§8[§cX§8] §cFailed to run command, player must be online and at least 5 blocks near you`);
        if (target.name == player.name) return sendPlayerMessage(player, `§8[§cX§8] §cYou cannot jumpscare yourself!`);

        try {
            player.runCommandAsync(`title @a[name="${target.name}",r=5] actionbar §cA ghost has jumpscared you!`);
            target.runCommandAsync(`playsound ls_jumpscare @s`);
            player.runCommandAsync(`title ${target.name} title §c§lBOO`);
            player.runCommandAsync(`title ${target.name} subtitle §c${player.name} has jumpscared you!`);
            setScore(player, `ls-ghost-cd`, 6002);
            player.addTag(`ls-ghost_jumpscare_cd`);
        }
        catch {
            sendPlayerMessage(player, `§8[§cX§8] §cFailed to run command, player must be online and at least 5 blocks near you`);
        }
    }
});