import { world, Player, system } from "@minecraft/server";
import { Command } from "../handler";
import { sendPlayerMessage, sendAllMessage, config, colorCodesHelpPage } from "../../config";
import { deadplayers, random, revivelist } from "../../lifesteal";
import { withdrawHelp } from "./withdraw";
import { reviveHelp } from "./revive";
import { heartHelp } from "./heart";
import { welcomeHelp } from "./misc/welcome";
import { apHelp } from "./staffOnly/adminpanel";
import { getHelp } from "./staffOnly/get";
import { ghostBarrierHelp } from "./staffOnly/ghostbarrier";
import { deadPlayersHelp } from "./misc/deadplayers";
import { logsHelp } from "./staffOnly/logs";
import { forceReviveHelp } from "./staffOnly/forcerevive";
import { killHelp } from "./staffOnly/kill";
import { reviveAllHelp } from "./staffOnly/reviveall";

new Command({
    name: "help",
    aliases: ["h"],
    code({ player, args }) {
        if (args[0] == `forcekill`) {
            killHelp(player);
            return;
        }
        if (args[0] == `forcerevive`) {
            forceReviveHelp(player);
            return;
        }
        if (args[0] == `logs`) {
            logsHelp(player);
            return;
        }
        if (args[0] == `deadplayers`) {
            deadPlayersHelp(player);
            return;
        }
        if (args[0] == `ghostbarrier`) {
            ghostBarrierHelp(player);
            return;
        }
        if (args[0] == `get`) {
            getHelp(player);
            return;
        }
        if (args[0] == "withdraw") {
            withdrawHelp(player);
            return;
        }
        if (args[0] == "revive") {
            reviveHelp(player);
            return;
        }
        if (args[0] == "heart") {
            heartHelp(player);
            return;
        }
        if (args[0] == "welcome") {
            welcomeHelp(player);
            return;
        }
        if (args[0] == "adminpanel") {
            apHelp(player);
            return;
        }
        if (args[0] == `reviveall`) {
            reviveAllHelp(player);
        }

        sendPlayerMessage(player, `§e§lLifesteal Help Page --§r
§6Prefix: §e${config.prefix}
§6Do ${config.prefix}help <command> for help on that command!

§eNormal Commands --
§e§lwithdraw <amount> §r§6| Withdraw one or more hearts from your heart count
§e§lrevive <player> §r§6| Revive a player (Must have a heart of life in hand)
§e§ldeadplayers §r§6| Show all dead player's names
§e§lheart <display/show> §r§6| Heart commands
§e§lwelcome §r§6| Show the welcome GUI

§r§eGhost Commands --
§e§ljumpscare <player> §r§6| Jumpscare a player (must be near them)
§e§lrps <rock/paper/scissors> §r§6| Play rock paper scissors with an AI
§e§lcookieclicker §r§6| Play cookie clicker
§e§lguess §r§6| Try to guess a number from a random number generator, completely RNG based
§e§lleaderboard §r§6| Leaderboard for Cookie clicker and RPS

§r§eStaff Only Commands --§r
${player.hasTag(`lifesteal-opped`) || player.isOp() ? `§e§lheart <set/setmax/...> §r§6| Heart commands such as set (Sets a max player's hearts), envsteal (Sets whether dying from mobs, fall damage, etc makes you lose a heart), etc
§e§ladminpanel §r§6| Open the admin panel
§e§llogs §r§6| Shows everytime a player used a command or gained a heart
§e§lget <item> <amount> §r§6| Get a lifesteal item (heart, heart_of_life, etc)
§e§lghostbarrier <amount> §r§6| Set the ghost barrier
§e§lforcerevive <player> §r§6| Revives a player even if you don't have a Heart of Life
§e§lforcekill <player> §r§6| Sets a player to 0 hearts and makes them a ghost
§e§lreviveall §r§6| Revive all players
§e§lreviveamount <amount> §r§6| Set the amount of hearts a player is given when they are revived
§e§lheartgl <amount> §r§6| Set the amount of hearts lost/gained when you get killed/kill a player
§e§lstartamount <amount> §r§6| Set the amount of hearts a new player starts with` : `§cYou do not have permission to view this, do /tag @s add ${config.staffTag} to get permission`}`.replaceAll(`§e`, colorCodesHelpPage.color1).replaceAll(`§6`, colorCodesHelpPage.color2)
        );
    },
});
