import { Player } from "@minecraft/server";

export interface commandData {
    /**
     * Name of the command
     */
    name: string;
    /**
     * Aliases for the command
     */
    aliases?: string[];
    /**
     * Whether its staff only or not
     */
    staffOnly?: boolean;
    /**
     * Whether only ghosts can use it or not
     */
    ghostsOnly?: boolean;
    /**
     * Code for the command
     */
    code: (data: { player: Player, args: string[], commandName: string; }) => void;
}

export class Command {
    static readonly commands: commandData[] = [];
    constructor(commandInfo: commandData) {
        if (!Command.commands.includes(commandInfo)) Command.commands.push(commandInfo);
    }
}

export const commands: commandData[] = Command.commands;